package com.mytch.droidracer;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.Window;
import android.view.WindowManager;

public class DroidRacer extends Activity {
    /** Called when the activity is first created. */

    private static final String TAG = DroidRacer.class.getSimpleName();

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        // requesting to turn the title OFF
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        // making it full screen
        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN, WindowManager.LayoutParams.FLAG_FULLSCREEN);
        // set our MainGamePanel as the View
        MainGamePanel mgp = new MainGamePanel(this);
        setContentView(mgp);
        mgp.invalidate();
        Log.d(TAG, "View added");
    }
 
    @Override
    protected void onDestroy() {
        Log.d(TAG, "Destroying...");
        super.onDestroy();
    }
    protected void onPause() {
        super.onPause();
        Log.d(TAG, "paused");
        android.os.Process.killProcess(android.os.Process.myPid());
    }
}