/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mytch.droidracer;

/**
 *
 * @author Mytchel
*/

import android.graphics.*;
import android.view.*;
import android.util.Log;

public class MainLoop extends Thread {
    
    private boolean running;
    private SurfaceHolder surfaceHolder;
    private MainGamePanel gamePanel;
    public Canvas c = null;
    
    public int score1 = 0;
    public int score2 = 0;
    
    private static final String TAG = MainLoop.class.getSimpleName();
    
    public MainLoop(SurfaceHolder s, MainGamePanel g) {
        super();
        this.surfaceHolder = s;
        this.gamePanel = g;
    }
    
    public void setRunning(boolean running) {
        this.running = running;
    }
    
    @Override
    public void run() {
        long tickCount = 0L;
        
        while (running) {
            tickCount++;
            // fps = 40
            try {
                this.sleep(50);
            } catch (Exception e) {}
            // end fps
            
            // game finished?
            gamePanel.play = true;          
                   
            // end gamefinish?
            
            // start draw racers
            c = null;
            try {
                c = surfaceHolder.lockCanvas(null);
                synchronized(surfaceHolder) {
                    Paint p = new Paint();
                    p.setColor(0xFF000000);
                    c.drawRect(0, 0, gamePanel.getWidth(), gamePanel.getHeight(), p);
                    gamePanel.onDraw(c);
                }                    
            } finally {
                 if (c != null) {
                    surfaceHolder.unlockCanvasAndPost(c);
                }
            }
            gamePanel.play = false;
            
            // end draw racers
        }
        Log.d(TAG, "Game loop executed " + tickCount + " times");
    }
}
